function WP_Widget::widget() must be over-ridden in a sub-class.